### Name: fields
### Title: fields - tools for spatial data
### Aliases: fields
### Keywords: datasets

### ** Examples

set.panel()
# some air quality data:
data(ozone2)
x<-ozone2$lon.lat
y<- ozone2$y[16,]

# pixel plot of spatial data
quilt.plot( x,y)
US( add=TRUE) # add US map

fit<- Tps(x,y)
# fits a GCV thin plate smoothing spline surface to ozone measurements.
# Hey, it does not get any easier than this!

summary(fit) #diagnostic summary of the fit 

set.panel(2,2)
plot(fit) # four diagnostic plots of  fit and residuals.

surface(fit) # contour/image plot of the fitted surface
US( add=TRUE, col="magenta", lwd=2) # US map overlaid
title("Daily max 8 hour ozone in PPB,  June 19th, 1987")



